Dataform API

Service to develop, version control, and operationalize SQL pipelines in BigQuery.

Service: dataform.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://dataform.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://dataform.googleapis.com
  • REST Resource: v1.projects.locations

    Methods
    get GET /v1/{name=projects/*/locations/*}
    Gets information about a location.
    getConfig GET /v1/{name=projects/*/locations/*/config}
    Get default config for a given project and location.
    list GET /v1/{name=projects/*}/locations
    Lists information about the supported locations for this service.
    queryUserRootContents GET /v1/{location=projects/*/locations/*}:queryUserRootContents
    Returns the contents of a caller's root folder in a given location.
    updateConfig PATCH /v1/{config.name=projects/*/locations/*/config}
    Update default config for a given project and location.

    REST Resource: v1.projects.locations.folders

    Methods
    create POST /v1/{parent=projects/*/locations/*}/folders
    Creates a new Folder in a given project and location.
    delete DELETE /v1/{name=projects/*/locations/*/folders/*}
    Deletes a single Folder.
    deleteTree POST /v1/{name=projects/*/locations/*/folders/*}:deleteTree
    Deletes a Folder with its contents (Folders, Repositories, Workspaces, ReleaseConfigs, and WorkflowConfigs).
    get GET /v1/{name=projects/*/locations/*/folders/*}
    Fetches a single Folder.
    getIamPolicy GET /v1/{resource=projects/*/locations/*/folders/*}:getIamPolicy
    Gets the access control policy for a resource.
    move POST /v1/{name=projects/*/locations/*/folders/*}:move
    Moves a Folder to a new Folder, TeamFolder, or the root location.
    patch PATCH /v1/{folder.name=projects/*/locations/*/folders/*}
    Updates a single Folder.
    queryFolderContents GET /v1/{folder=projects/*/locations/*/folders/*}:queryFolderContents
    Returns the contents of a given Folder.
    setIamPolicy POST /v1/{resource=projects/*/locations/*/folders/*}:setIamPolicy
    Sets the access control policy on the specified resource.
    testIamPermissions POST /v1/{resource=projects/*/locations/*/folders/*}:testIamPermissions
    Returns permissions that a caller has on the specified resource.

    REST Resource: v1.projects.locations.operations

    Methods
    cancel POST /v1/{name=projects/*/locations/*/operations/*}:cancel
    Starts asynchronous cancellation on a long-running operation.
    delete DELETE /v1/{name=projects/*/locations/*/operations/*}
    Deletes a long-running operation.
    get GET /v1/{name=projects/*/locations/*/operations/*}
    Gets the latest state of a long-running operation.
    list GET /v1/{name=projects/*/locations/*}/operations
    Lists operations that match the specified filter in the request.

    REST Resource: v1.projects.locations.repositories

    Methods
    commit POST /v1/{name=projects/*/locations/*/repositories/*}:commit
    Applies a Git commit to a Repository.
    computeAccessTokenStatus GET /v1/{name=projects/*/locations/*/repositories/*}:computeAccessTokenStatus
    Computes a Repository's Git access token status.
    create POST /v1/{parent=projects/*/locations/*}/repositories
    Creates a new Repository in a given project and location.
    delete DELETE /v1/{name=projects/*/locations/*/repositories/*}
    Deletes a single Repository.
    fetchHistory GET /v1/{name=projects/*/locations/*/repositories/*}:fetchHistory
    Fetches a Repository's history of commits.
    fetchRemoteBranches GET /v1/{name=projects/*/locations/*/repositories/*}:fetchRemoteBranches
    Fetches a Repository's remote branches.
    get GET /v1/{name=projects/*/locations/*/repositories/*}
    Fetches a single Repository.
    getIamPolicy GET /v1/{resource=projects/*/locations/*/repositories/*}:getIamPolicy
    Gets the access control policy for a resource.
    list GET /v1/{parent=projects/*/locations/*}/repositories
    Lists Repositories in a given project and location.
    move POST /v1/{name=projects/*/locations/*/repositories/*}:move
    Moves a Repository to a new location.
    patch PATCH /v1/{repository.name=projects/*/locations/*/repositories/*}
    Updates a single Repository.
    queryDirectoryContents GET /v1/{name=projects/*/locations/*/repositories/*}:queryDirectoryContents
    Returns the contents of a given Repository directory.
    readFile GET /v1/{name=projects/*/locations/*/repositories/*}:readFile
    Returns the contents of a file (inside a Repository).
    setIamPolicy POST /v1/{resource=projects/*/locations/*/repositories/*}:setIamPolicy
    Sets the access control policy on the specified resource.
    testIamPermissions POST /v1/{resource=projects/*/locations/*/repositories/*}:testIamPermissions
    Returns permissions that a caller has on the specified resource.

    REST Resource: v1.projects.locations.repositories.compilationResults

    Methods
    create POST /v1/{parent=projects/*/locations/*/repositories/*}/compilationResults
    Creates a new CompilationResult in a given project and location.
    get GET /v1/{name=projects/*/locations/*/repositories/*/compilationResults/*}
    Fetches a single CompilationResult.
    list GET /v1/{parent=projects/*/locations/*/repositories/*}/compilationResults
    Lists CompilationResults in a given Repository.
    query GET /v1/{name=projects/*/locations/*/repositories/*/compilationResults/*}:query
    Returns CompilationResultActions in a given CompilationResult.

    REST Resource: v1.projects.locations.repositories.releaseConfigs

    Methods
    create POST /v1/{parent=projects/*/locations/*/repositories/*}/releaseConfigs
    Creates a new ReleaseConfig in a given Repository.
    delete DELETE /v1/{name=projects/*/locations/*/repositories/*/releaseConfigs/*}
    Deletes a single ReleaseConfig.
    get GET /v1/{name=projects/*/locations/*/repositories/*/releaseConfigs/*}
    Fetches a single ReleaseConfig.
    list GET /v1/{parent=projects/*/locations/*/repositories/*}/releaseConfigs
    Lists ReleaseConfigs in a given Repository.
    patch PATCH /v1/{releaseConfig.name=projects/*/locations/*/repositories/*/releaseConfigs/*}
    Updates a single ReleaseConfig.

    REST Resource: v1.projects.locations.repositories.workflowConfigs

    Methods
    create POST /v1/{parent=projects/*/locations/*/repositories/*}/workflowConfigs
    Creates a new WorkflowConfig in a given Repository.
    delete DELETE /v1/{name=projects/*/locations/*/repositories/*/workflowConfigs/*}
    Deletes a single WorkflowConfig.
    get GET /v1/{name=projects/*/locations/*/repositories/*/workflowConfigs/*}
    Fetches a single WorkflowConfig.
    list GET /v1/{parent=projects/*/locations/*/repositories/*}/workflowConfigs
    Lists WorkflowConfigs in a given Repository.
    patch PATCH /v1/{workflowConfig.name=projects/*/locations/*/repositories/*/workflowConfigs/*}
    Updates a single WorkflowConfig.

    REST Resource: v1.projects.locations.repositories.workflowInvocations

    Methods